Поддержка WooCommerce невозможно подтвердить заказ после последнего обновления

  • Вот такой лог получил от хостера!
    [Fri Oct 27 20:17:47 2017] [warn] [client 93.127.122.145] mod_fcgid: stderr: The The "add_to_cart_fragments" hook uses out of date data structures and function is deprecated since version 3.2.1. Replace with woocommerce_add_to_cart_fragments., referer: http://fujimama.dp.ua/%d0%bc%d0%b5%d0%bd%d1%8e/
    Что мне с этим делать? Как исправить?

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 15 ответов — с 1 по 15 (всего 15)
  • Модератор Yui

    (@fierevere)

    ゆい

    а где вы используете хук add_to_cart_fragments ?
    тема? пользовательский код? плагин?

    Вероятно, какой-то плагин или функционал темы не совместимы с новым WC. Нужно найти, где используется add_to_cart_fragments, и заменить на рекомендованный. Вот только этот хук уже давно deprecated, так что если обновляли не с 2.дремучей версии, вряд ли из-за проблемы из-за него. Хотя всё может быть. В любом случае лучше актуализировать.

    Модератор Yui

    (@fierevere)

    ゆい

    warn опять же не является ошибкой
    и заказы у вас (пока) работают

    Может ли это быть woocommerce-multiple-free-gift?

    А вы попробуйте еще раз! Первый раз с нового устройства у меня тоже все прошло, второй раз способ доставки просто завис!

    Модератор Yui

    (@fierevere)

    ゆい

    попробовала, никаких проблем, разве что заказ мне от вас не забрать ) далеко

    два раза заказ оформился без проблем.

    Модератор Yui

    (@fierevere)

    ゆい

    woocommerce-multiple-free-gift?

    в последней версии этого плагина этот хук не используется

    Это очень, странно как у меня такое может быть?
    Использую плагины Autooptimize и WP Super Cache

    Последнее обновление: 5 месяцев назад — этого плагина.
    у меня стоит последняя версия. вы к стати можете увидеть как я его переделал под «рулетку» заказав на 500 грн и выше. Может это я что то набочинил в плагине?

    Модератор Yui

    (@fierevere)

    ゆい

    wp-supercache не даст хороших результатов в интернет-магазине, если пользователь размещает что-то в корзине, эффект плагина сводится к нулю
    плагины оптимизации-минификации JS и CSS также могут быть потенциальным источником проблем.

    Попробуйте отключить их и попробовать работу заказов

    Как же быть с Google Pagespeed Insights ?
    Он матюкатся будет!

    Как же быть с Google Pagespeed Insights ?

    Забыть про этот бестолковый фейковый сервис. Для анализа сайтов использовать правильные сервисы (они есть в по ссылке.)

    Модератор Yui

    (@fierevere)

    ゆい

    сайт для Google Pagespeed Insights или для того, чтобы он работал?
    😀

    Autooptimize нужно использовать вообще очень осторожно, а в магазинах, так вообще не стоит с ним связываться — больше проблем, чем помощи.
    WP Super Cache заменить на WP Rocket

Просмотр 15 ответов — с 1 по 15 (всего 15)
  • Тема «невозможно подтвердить заказ после последнего обновления» закрыта для новых ответов.